package com.develou.preferencias_androidx

import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.util.Log
import androidx.preference.Preference
import androidx.preference.PreferenceFragmentCompat

class SettingsFragment : PreferenceFragmentCompat() {

    override fun onCreatePreferences(savedInstanceState: Bundle?, rootKey: String?) {
        setPreferencesFromResource(R.xml.preferences, rootKey)

        // Obtener referencia de preferencia
        val buildVersion: Preference? = findPreference("buildVersion")

        // 1. Cambiar texto secundario
        buildVersion?.summary = BuildConfig.VERSION_NAME

        // 2. Añadir Intent
        val intent = Intent(Intent.ACTION_VIEW)
        intent.data = Uri.parse("https://www.develou.com")
        buildVersion?.intent = intent

        // 3. Asignar escucha de click
        buildVersion?.setOnPreferenceClickListener {
            Log.d("SettingsFragment", "\"${it.title}\" fue clickeada")
            false
        }
    }

    // 4. Creación en tiempo de ejecución
    /*override fun onCreatePreferences(savedInstanceState: Bundle?, rootKey: String?) {
        val context = preferenceManager.context
        val screen = preferenceManager.createPreferenceScreen(context)

        val buildVersionPreference = Preference(context).apply {
            key = "buildVersion"
            setTitle(R.string.build_version_preference)
            summary = BuildConfig.VERSION_NAME
        }

        screen.addPreference(buildVersionPreference)
        preferenceScreen = screen
    }*/
}